# Set random seed
set.seed(4321)
# Generate data
modulus<-
function(x, n) n*(x/n - trunc(x/n))

tt<-seq(from=0,to=100,length=1000)
plin<-function(x, n)
{
        x <- modulus(x, n)
        -1 + (2 * x)/n
}
ss1<-sin(tt*8*pi/49)
ss2<-plin(tt,28)
ss3<-cos(tt*2*pi/49)
ss2<-lsfit(cbind(ss1,ss3),ss2)$res

ss<-scale(cbind(ss1,ss2, ss3))
A0<-structure(.Data = c(2, 3, 1, 2, 1, 4,2,5, 2), .Dim = c(3, 3))

x<-ss%*%A0+matrix(rnorm(3000),ncol=3)

# Write data to file
write.csv(x,file='ica-data.csv')